File: bootstrap-es.conf

package info (click to toggle)
gnumed-server 21.11-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 45,408 kB
  • ctags: 3,891
  • sloc: sql: 1,210,640; python: 13,526; sh: 1,476; makefile: 19
file content (143 lines) | stat: -rw-r--r-- 3,826 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
# GNUmed database system German language pack bootstrapping config file
#----------------------------------------------------------------------
# license: GPL v2 or later
# author: Karsten Hilbert@gmx.net

#----------------------------------
[revision control]
file = $Source: /home/ncq/Projekte/cvs2git/vcs-mirror/gnumed/gnumed/server/bootstrap/bootstrap-es.conf,v $
version = $Revision: 1.15 $

#----------------------------------
[installation]

interactive = no

keep temp files = no

description = $description$

Este script instala en la base de datos de GNUmed las informaciones
especificas para su uso en Espana (provincias).

Como requisitos, el esquema debe haber sido previamente instalado
en la base de datos "gnumed" y, al menos, el usuario "gm-dbo" debe
haber sido creado.

$description$

bundles = $bundles$
demographics-es
$bundles$

#----------------------------------
# bundles
#----------------------------------
[bundle demographics-es]
database alias = core
minimum postgresql version = 7.4
schema base directory = ../sql/country.specific/es/
schema = $schema$
gmDemographics-Data.es.sql
$schema$

#----------------------------------
# databases
#----------------------------------
[database core]
name = gnumed_v2
override name by = GM_CORE_DB
template database = template1
drop target database = 0
use existing target database = 1
server alias = local host
audit disable = 1
schema = $schema$
$schema$

#----------------------------------
# servers
#----------------------------------
[server local host]
name = 
port = 5432
template database = template1
super user alias = postgres
schema = $schema$
$schema$

#----------------------------------
# users
#----------------------------------
[user GNUmed owner]
name = gm-dbo
password =

[user postgres]
name = postgres

#----------------------------------
# these really shouldn't be changed
#----------------------------------
[GnuMed defaults]

database owner alias = GNUmed owner

groups = $groups$
$groups$

#----------------------------------
# $Log: bootstrap-es.conf,v $
# Revision 1.15  2008-08-28 12:07:27  ncq
# - bump database name to gnumed_v2
# - add options necessary for one-step bootstrapping
#
# Revision 1.14  2008/02/29 23:49:00  ncq
# - utf8-ize
#
# Revision 1.13  2007/02/06 12:12:29  ncq
# - interactive yes -> no
#
# Revision 1.12  2006/12/29 16:28:25  ncq
# - "service" -> "bundle", no more services
# - remove "name" and "version" on previous "service" groups
#
# Revision 1.11  2006/12/29 13:56:50  ncq
# - bump required PG version to 7.4
# - remove procedural languages options
# - include gmCreateProceduralLanguages.sql in database level superuser schema import
#
# Revision 1.10  2006/09/17 07:02:00  ncq
# - we don't register services anymore
#
# Revision 1.9  2006/05/24 12:51:13  ncq
# - standarize on only '' being local domain sockets connections
#
# Revision 1.8  2006/05/08 12:38:47  ncq
# - make password parameter sane:
#   - missing or commented out means: not needed, eg IDENT or TRUST
#   - empty means: ask user if interactive or leave empty (but log warning) if not interactive
#
# Revision 1.7  2006/05/07 16:10:44  shilbert
# - cleanup
#
# Revision 1.6  2006/05/06 18:49:44  ncq
# - GnuMed -> GNUmed
#
# Revision 1.5  2005/11/18 15:28:34  ncq
# - required PostgreSQL version now raised from 7.1 to 7.3
# - Debian stable has 7.4.x so we are good to go for 7.3 *at least*
#
# Revision 1.4  2005/11/09 10:42:47  ncq
# - be more careful with others around us: install procedural language into
#   our database only if needed, not into template1
#
# Revision 1.3  2005/06/01 23:17:43  ncq
# - support overriding target database name via environment variable
#
# Revision 1.2  2005/05/16 20:16:22  cfmoro
# Spanish translation of description lines
#
# Revision 1.1  2005/05/15 12:14:50  ncq
# - localize for ES
#